## network-manager 1.48.8

=== debian/changelog ===
network-manager (1.48.8-1ubuntu3) oracular; urgency=medium

  * d/control: Avoid calling into half installed/upgraded Netplan (LP: #2033259)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 12 Sep 2024 18:01:03 +0200

network-manager (1.48.8-1ubuntu2) oracular; urgency=medium

  * Update netplan test, fixup one master->controller change

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Aug 2024 15:58:54 +0200

network-manager (1.48.8-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:07:09 +0200

network-manager (1.48.8-1) unstable; urgency=medium

  * New upstream version 1.48.8
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Aug 2024 20:53:23 +0200

network-manager (1.48.6-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - d/p/netplan: Add libnetplan backend integration patch
    - d/t/nm.py: Add autopkgtests when Netplan is in use
    - d/t/nm_netplan.py: Add autopkgtests for the netplan integration
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests (urfkill-integration, wpa-dhclient,
      killswitches-no-urfkill)
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 10:54:25 +0200

network-manager (1.48.6-1) unstable; urgency=medium

  * New upstream version 1.48.6
  * Rebase patches


