=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
                libyaml-dev [!i386],
-               libnetplan-dev (>= 0.106~) [!i386],
-               netplan.io (>= 0.106~) [!i386] <!nocheck>,
+               libnetplan-dev (>= 1.0~) [!i386],
+               netplan.io (>= 1.0~) [!i386] <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
@@ -60,7 +60,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 0.106~) [!i386],
+         netplan.io (>= 1.0~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          udev,
