=== debian/changelog ===
network-manager (1.48.10-1) unstable; urgency=medium

  * New upstream version 1.48.10

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Aug 2024 16:35:44 +0200
