=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
@@ -44,15 +43,10 @@
                python3-dbus <!nocheck>,
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
-               libyaml-dev [!i386],
-               libnetplan-dev (>= 1.0~) [!i386],
-               netplan.io (>= 1.0~) [!i386] <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
-Vcs-Git: https://git.launchpad.net/network-manager
-Vcs-Browser: https://git.launchpad.net/network-manager
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -60,7 +54,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 1.0~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          udev,
@@ -69,12 +62,10 @@
 Recommends: ppp,
             dnsmasq-base,
             modemmanager,
-            network-manager-pptp,
             wireless-regdb,
             wpasupplicant,
             libpam-systemd,
-Suggests: avahi-autoipd,
-          libteam-utils,
+Suggests: libteam-utils,
           iptables,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
@@ -88,8 +79,6 @@
  interact with NetworkManager.
  .
  Optional dependencies:
-  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
-    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
@@ -178,21 +167,3 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
-
-Package: network-manager-config-connectivity-ubuntu
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         network-manager (>= ${source:Version})
-Description: NetworkManager configuration to enable connectivity checking
- This package contains a configuration file which enables NetworkManager's
- connectivity checking functionality.
- .
- NetworkManager will try to connect to an Ubuntu server to determine the
- connection status.
- .
- This is particularly useful for captive portal detection.
- .
- No user data is transmitted in the connectivity checks, but merely contacting
- the Ubuntu connectivity check servers reveals that the user is running an
- Ubuntu(-based) operating system with NetworkManager.
