=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
-
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
-   BUILD_PACKAGES += -Nnetwork-manager
-   NETPLAN += -Dnetplan=false
-endif
 
 # Disable lto here regardless of whether we enable the configure flag
 # https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
@@ -16,7 +11,7 @@
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with ppp $(BUILD_PACKAGES) --without autoreconf --buildsystem=meson
+	dh $@ --with ppp --without autoreconf --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -62,17 +57,7 @@
 		-Dovs=false \
 		-Dqt=false \
 		-Debpf=false \
-		-Dtests=yes \
-		-Db_lto=true \
-		$(NETPLAN) \
 		-Dofono=false
-
-override_dh_install:
-	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
-	dh_install
-
-override_dh_installinit:
-	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
