=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
-Homepage: https://wiki.gnome.org/Projects/NetworkManager
+Homepage: https://networkmanager.dev/
 
 Package: network-manager
 Architecture: linux-any
